> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toolip.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Proxies

> Get proxy credentials for a selected zone.

Prefer an enterprise-grade guide? Learn more about Oculus Proxies <a href="https://docs.oculusproxies.com/proxy-networks/api-overview" target="_blank" rel="noopener">Proxy API Overview</a>.


## OpenAPI

````yaml GET /getProxies
openapi: 3.0.3
info:
  title: Toolip API
  version: 1.0.0
  description: >
    Effortlessly manage your proxies with Toolip's API. Learn how to configure,
    access, and rotate your proxy details with ease.
servers:
  - url: https://toolip.io/api/v1
security:
  - ApiTokenAuth: []
paths:
  /getProxies:
    get:
      summary: Get Proxies
      description: Get proxy credentials for a selected zone.
      parameters:
        - $ref: '#/components/parameters/ZoneId'
        - $ref: '#/components/parameters/authtoken'
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
            default: application/json
      responses:
        '200':
          description: A list of proxies
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Proxy'
components:
  parameters:
    ZoneId:
      name: zoneId
      in: query
      required: true
      schema:
        type: string
      description: Identifier of the zone
    authtoken:
      name: authtoken
      in: query
      required: true
      schema:
        type: string
      description: Insert your API Token
  schemas:
    Proxy:
      type: object
      properties:
        host:
          type: string
        port:
          type: string
        login:
          type: string
        password:
          type: string
        country:
          type: string
        ip:
          type: string
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: authorization
      description: 'Use the format: Basic <YOUR_API_TOKEN>'

````